<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">

<html lang="de">

  <head>
    <title>FreeDoko: Installation</title>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">

    <meta name="author" content="Diether Knof">
    <link rel="made" href="mailto:freedoko@users.sourceforge.net">

    <link rel="shortcut icon" href="../images/FreeDoko.ico">
    <link rel="stylesheet" type="text/css" href="../FreeDoko.css">
    <link rel="stylesheet" type="text/css" href="manual.css">
  </head>

  <body>

    <div id="navigation">
      <ul>
	<li><a href="../FreeDoko.html"><img src="images/FreeDoko.icon.png" alt="*"> FreeDoko</a></li>
	<li><a href="../Download.html"><img src="images/icons/SuitClubs.svg" alt="♣"> Download</a></li>
	<li style="min-width: 11em;"><a href="../Dokumentation.html"><img src="images/icons/SuitSpades.svg" alt="♠"> Dokumentation</a></li>
	<li><a href="../Galerie.html"><img src="images/icons/SuitHearts.svg" alt="♥"> Galerie</a></li>
	<li><a href="../Impressum.html"><img src="images/icons/SuitDiamonds.svg" alt="♦"> Impressum</a></li>
      </ul>
    </div> <!-- id="navigation" -->

    <div id="column_left"></div>
    <div id="column_right"></div>

    <div id="content">

      <h1>Installation</h1>
      <p>
      FreeDoko geht über drei Arten zu verwenden:
      <ol>
	<li>ein Paket für das verwendete System installieren</li>
	<li>für Windows oder Linux das entsprechende Archiv entpacken und FreeDoko aus dem Verzeichnis starten</li>
	<li>den <a href="#source">Quelltext</a> kompilieren und FreeDoko starten</li>
      </ol>
      </p>


      <h2>Pakete</h2>
      <p>
      Bei einigen Linux- und BSD-Distributionen kann FreeDoko über die Paketverwaltung installiert werden. Für Windows befindet sich unter <a href"../Download.html">Download</a> eine Setup.exe.
      </p>


      <h2>Archiv</h2>
      <p>
      Für Linux und Windows befindet sich <a href"../Download.html">Download</a> je ein Archiv. Nach dem Entpacken kann FreeDoko direkt daraus gestartet werden. Das Linux-Archiv ist unter debian stretch erstellt, daher kann es sein, dass unter anderen Distributionen die Bibliotheksversionen nicht passen.
      </p>


      <h2>Kompilieren</h2>

      <ol>
	<li>Quelltext herunterladen (.src.zip-Datei unter <a href="../Download.html">Download</a> oder mit <kbd>git clone git@gitlab.com:dknof/FreeDoko.git</kbd>)</li>
	<li>In das Unterverzeichnis src wechseln</li>
	<li>make aufrufen</li>
	<li>FreeDoko aus dem src-Verzeichnis heraus starten</li>
      </ol>

      <h3>Linux, *BSD</h3>
      <p>
      Zum Kompilieren wird die gtkmm-Bibliothek und die alut-Bibliothek benötigt. 
      </p>
      <p>
      Das System wird automatisch erkannt. Wenn die automatische Erkennung nicht funktioniert, geben Sie erst <kbd>export OSTYPE</kbd> und anschließend <kbd>make</kbd> ein.
      </p>
      <p>
      Zum Installieren im System auf der oberen Ebene <kbd>make install</kbd> aufrufen. Die Zielverzeichnisse können in der Datei <kbd>Makefile.install.directories</kbd> geändert werden.
      </p>

      <h3>Microsoft Windows</h3>

      <p>
      FreeDoko kann unter msys2 kompiliert werden. Die Schritte dazu sind:
      </p>
      <dl>
	<dt>Msys2 installieren</dt>
	<dd>
	Msys2 können Sie unter <a href="https://www.msys2.org/ ">www.msys2.org</a> herunterladen.
	Entsprechend der Anleitung sind anschließend in der Shell die folgenden Befehle ausführen. Das gesamte System aktualisieren:
	<kbd class="shell">pacman -Syu</kbd>
	Und nach einem Neustart von msys2 alle installierten Pakete aktualisieren:
	<kbd class="shell">pacman -Su</kbd>
	</dd>
	<dt>In msys2 weitere Pakete installieren</dt>
	<dd>
	Der Compiler und die gtkmm-Bibliothek installieren Sie mit dem folgenden Befehl:
	<kbd class="shell">pacman -S mingw32/mingw-w64-i686-gcc mingw32/mingw-w64-i686-gtkmm3 make pkg-config</kbd>
	</dd>
	<dt>FreeDoko herunterladen und entpacken</dt>
	<dd>
	Der Quelltext als .src.zip-Datei befindet sich unter <a href="../Download.html">Download</a>. Alternativ können Sie die aktuelle Entwicklerversion mit <kbd>git clone git@gitlab.com:dknof/FreeDoko.git</kbd> herunterladen, dazu muss noch git installiert werden:<br>
	<kbd class="shell">pacman -S git</kbd>
	</dd>
	<dt>FreeDoko kompilieren</dt>
	<dd>
	Zum Kompilieren müssen noch ein paar Pfade gesetzt werden:<br>
	<kbd class="shell">PKG_CONFIG_PATH=/mingw32/lib/pkgconfig</kbd>
	<kbd class="shell">PATH=/mingw32/bin:/mingw32/lib:$PATH</kbd>
	Anschließend kann im src-Verzeichnis der Kompiliervorgang gestartet werden:
	<kbd class="shell">cd FreeDoko/src</kbd>
	<kbd class="shell">make</kbd>
	</dd>
	<dt>FreeDoko starten</dt>
	<dd>
	Nun können Sie FreeDoko starten:
	<kbd class="shell">./FreeDoko</kbd>
	Ein Starten aus dem Explorer heraus ist nur möglich, wenn Sie unter Windows den Pfad (Umgebungsvariable PATH) so anpassen, dass die Verzeichnisse <kbd>mingw32/bin</kbd> und <kbd>mingw32/lib</kbd> aus dem mingw2-Installationsverzeichnis enthalten sind. Bei einer Standardinstallation von mingw2-64bit sind dies <kbd>C:\mingw64\mingw32\bin</kbd> und <kbd>C:\mingw64\mingw32\lib</kbd>.
	</dd>
      </dl>

    </div> <!--  id="content" -->

  </body>

</html>
